Bug 22757 - Update request: nvidia-current 390.42
Summary: Update request: nvidia-current 390.42
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA6-32-OK MGA6-64-OK
Keywords: advisory, validated_update
Depends on:
Blocks:
 
Reported: 2018-03-13 11:29 CET by Thomas Backlund
Modified: 2018-03-19 13:14 CET (History)
3 users (show)

See Also:
Source RPM: nvidia-current
CVE:
Status comment:


Attachments

Description Thomas Backlund 2018-03-13 11:29:05 CET
Advisory:
Updated nvidia-current provides the new R390 long lived branch

This update provides the new new R390 long lived beanch, currently 390.42,
providing support for newer hardware and adds various bugfixes.

For more info, read the referenced release highlights.

References:
http://www.nvidia.com/Download/driverResults.aspx/131853/en-us
http://www.nvidia.com/Download/driverResults.aspx/130646/en-us
http://www.nvidia.com/Download/driverResults.aspx/128743/en-us
 

SRPMS:
ldetect-lst-0.3.7.7-1.mga6.src.rpm

nvidia-current-390.42-1.mga6.nonfree.src.rpm



i586:
ldetect-lst-0.3.7.7-1.mga6.i586.rpm
ldetect-lst-devel-0.3.7.7-1.mga6.i586.rpm

dkms-nvidia-current-390.42-1.mga6.nonfree.i586.rpm
nvidia-current-cuda-opencl-390.42-1.mga6.nonfree.i586.rpm
nvidia-current-devel-390.42-1.mga6.nonfree.i586.rpm
nvidia-current-doc-html-390.42-1.mga6.nonfree.i586.rpm
x11-driver-video-nvidia-current-390.42-1.mga6.nonfree.i586.rpm



x86_64:
ldetect-lst-0.3.7.7-1.mga6.x86_64.rpm
ldetect-lst-devel-0.3.7.7-1.mga6.x86_64.rpm

dkms-nvidia-current-390.42-1.mga6.nonfree.x86_64.rpm
nvidia-current-cuda-opencl-390.42-1.mga6.nonfree.x86_64.rpm
nvidia-current-devel-390.42-1.mga6.nonfree.x86_64.rpm
nvidia-current-doc-html-390.42-1.mga6.nonfree.x86_64.rpm
x11-driver-video-nvidia-current-390.42-1.mga6.nonfree.x86_64.rpm
Comment 1 Len Lawrence 2018-03-16 20:52:11 CET
Rebooted smoothly after installing the six packages.
System:    Host: vega Kernel: 4.14.25-desktop-1.mga6 x86_64
Graphics:  Card-2: NVIDIA GK104 [GeForce GTX 770]
           Display Server: Mageia X.org 119.5 drivers: nvidia,v4l,intel
           Resolution: 2560x1440, 1024x768
           GLX Version: 4.6.0 NVIDIA 390.42

Ran glmark2.  Mate desktop running fine.  Stellarium launches OK and responds to mouse and keyboard.  Uses Qt5.  Image viewers working.  vlc plays videos OK.
VirtualBox launches guest system.

CC: (none) => tarazed25

Comment 2 Len Lawrence 2018-03-16 20:59:16 CET
Updated all six packages and rebooted without a problem.

System:    Host: belexeuli Kernel: 4.14.25-desktop-1.mga6 x86_64
Graphics:  Card-2: NVIDIA GF114 [GeForce GTX 555]
           Display Server: Mageia X.org 119.5 drivers: nvidia,v4l
           Resolution: 2560x1440@59.95hz
           GLX Version: 4.6.0 NVIDIA 390.42

Ran glmark2.  Image viewers and video applications worked fine.  Desktop running smoothly.
Comment 3 Len Lawrence 2018-03-16 21:22:01 CET
Rebooted to the Mate desktop after updating the seven packages.

ldetect-lst-0.3.7.7-1.mga6
ldetect-lst-devel-0.3.7.7-1.mga6
x11-driver-video-nvidia-current-390.42-1.mga6.nonfree
nvidia-current-cuda-opencl-390.42-1.mga6.nonfree
nvidia-current-devel-390.42-1.mga6.nonfree
dkms-nvidia-current-390.42-1.mga6.nonfree
nvidia-current-doc-html-390.42-1.mga6.nonfree

System:    Host: difda Kernel: 4.14.25-desktop-1.mga6 x86_64
Graphics:  Card: NVIDIA GM204 [GeForce GTX 970]
           Display Server: Mageia X.org 119.5 drivers: nvidia,v4l
           Resolution: 3840x2160@30.00hz
           GLX Version: 4.6.0 NVIDIA 390.42

Ran glmark2, stellarium, image viewers and vlc for videos.
Booted guest system in virtualbox.
Comment 4 Len Lawrence 2018-03-17 08:50:02 CET
Aorus X5 laptop
System:    Host: markab Kernel: 4.14.25-desktop-1.mga6 x86_64
Graphics:  Card-1: NVIDIA GM204M [GeForce GTX 965M]
           Card-2: NVIDIA GM204M [GeForce GTX 965M]
           Display Server: Mageia X.org 119.5 drivers: nvidia,v4l
           Resolution: 2880x1620@59.96hz
           GLX Renderer: GeForce GTX 965M/PCIe/SSE2
           GLX Version: 4.6.0 NVIDIA 390.42

Desktop running fine using one graphics card.  
Session resumed after closing and opening the lid.
Comment 5 Len Lawrence 2018-03-17 09:39:30 CET
Lenovo Ideapad Y500
Installed seven packages and ran scheduled updates before rebooting.
System:    Host: juza Kernel: 4.14.25-desktop-1.mga6 x86_64
Graphics:  Card: NVIDIA GK107M [GeForce GT 650M]
           Display Server: Mageia X.org 119.5 drivers: nvidia,v4l
           Resolution: 1920x1080@59.93hz
           GLX Renderer: GeForce GT 650M/PCIe/SSE2
           GLX Version: 4.6.0 NVIDIA 390.42

Working desktop.  Suspend/resume worked on closing/opening the lid.
Switched between Mate and IceWM Session and performed graphics tests on both.  All OK.
Comment 6 Len Lawrence 2018-03-17 10:57:41 CET
Re comment 3

Installed the new X driver on a Plasma partition on this machine.  That worked fine and so did reducing the screen resolution via nvidia-settings; not nice but it worked.

Back to the original partition and rebooted to the server kernel.  Everything OK there as well.  The kmod was generated during the boot sequence.
Comment 7 James Kerr 2018-03-17 11:23:21 CET
on mga6-32  4.14.25-server

Packages installed cleanly:
- dkms-nvidia-current-390.42-1.mga6.nonfree.i586
- ldetect-lst-0.3.7.7-1.mga6.i586
- nvidia-current-doc-html-390.42-1.mga6.nonfree.i586
- x11-driver-video-nvidia-current-390.42-1.mga6.nonfree.i586

system rebooted normally:
$ uname -r
4.14.25-server-1.mga6

# dkms status -m nvidia-current
nvidia-current, 390.42-1.mga6.nonfree, 4.14.25-server-1.mga6, i586: installed 

Common applications OK

looks OK for mga6-32 on this system:

Machine:   Device: desktop Mobo: ECS model: GeForce7050M-M v: 1.0
CPU:       Quad core AMD Phenom 9500 (-MCP-)
Graphics:  Card: NVIDIA GK208B [GeForce GT 710]
           Resolution: 1440x900@59.89hz
           Display Server: Mageia X.org 119.5 drivers: nvidia,v4l 
           GLX Renderer: GeForce GT 710/PCIe/SSE2/3DNOW! 
           GLX Version: 4.6.0 NVIDIA 390.42

CC: (none) => jim

Comment 8 James Kerr 2018-03-17 11:25:26 CET
(In reply to James Kerr from comment #7)
> on mga6-32  4.14.25-server
> 

forgot to add this system uses xfce
Comment 9 James Kerr 2018-03-17 12:39:45 CET
on mga6-64 4.14.25-desktop xfce

packages installed cleanly:
nvidia-current-doc-html-390.42-1.mga6.nonfree.x86_64 
x11-driver-video-nvidia-current-390.42-1.mga6.nonfree.x86_64 
dkms-nvidia-current-390.42-1.mga6.nonfree.x86_64 
ldetect-lst-0.3.7.7-1.mga6.x86_64  

system re-booted normally:
$ uname -r
4.14.25-desktop-1.mga6

# dkms status -m nvidia-current
nvidia-current, 390.42-1.mga6.nonfree, 4.14.25-desktop-1.mga6, x86_64: installed 

common applications OK

looks OK for mga6-64 on this system:

Machine:   Device: desktop Mobo: ECS model: GeForce7050M-M v: 1.0
CPU:       Quad core AMD Phenom 9500 (-MCP-)CPU:     
Graphics:  Card: NVIDIA GK208B [GeForce GT 710]
           Display Server: Mageia X.org 119.5 drivers: nvidia,v4l
           Resolution: 1440x900@59.89hz
           GLX Renderer: GeForce GT 710/PCIe/SSE2 
	   GLX Version: 4.6.0 NVIDIA 390.42
Comment 10 Lewis Smith 2018-03-19 12:14:35 CET
Thank you Len & James for the tests. Since few people use this package, and x64 (the normal case) has been diversely covered, I think OKs are well justified.

Keywords: (none) => advisory, validated_update
Whiteboard: (none) => MGA6-32-OK MGA6-64-OK
CC: (none) => sysadmin-bugs

Comment 11 Mageia Robot 2018-03-19 13:14:13 CET
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2018-0053.html

Status: NEW => RESOLVED
Resolution: (none) => FIXED


Note You need to log in before you can comment on or make changes to this bug.